Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.groovydoc
Interface GroovyType

All Known Subinterfaces:
  GroovyClassDoc

All Known Implementing Classes:
  SimpleGroovyClassDoc, SimpleGroovyType

    public interface GroovyType

Method Summary
`GroovyClassDoc` | `asClassDoc()`
`String` | `dimension()`
`String` | `fullDottedName()`
`boolean` | `isPrimitive()`
`String` | `qualifiedTypeName()`
`String` | `simpleTypeName()`
`String` | `typeName()`

Method Detail

### asClassDoc

    GroovyClassDoc asClassDoc()

### dimension

    String dimension()

### isPrimitive

    boolean isPrimitive()

### qualifiedTypeName

    String qualifiedTypeName()

### simpleTypeName

    String simpleTypeName()

### typeName

    String typeName()

### fullDottedName

    String fullDottedName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD